Subject: RE: Help on programming
From: [email-masked] (Houston, Jerry)

17 Oct 1997 18:54:51 -0700
Message-ID: <[email-masked]>
To: [email-masked]

	You poor thing!

	How many other lucrative technical careers or fascinating
hobbies do you imagine are available to you without so much as buying a
book?  
	As a matter of fact, there is a LOT of free knowledge available
from microsoft.com, if you take the time to look.

	I would imagine that the reason the folks on the programming
newsgroup talk about MFC a lot is because they're mostly professionals.
They're getting paid big bucks to create robust Win32 apps using the
most appropriate tools available, which in many cases means they need to
use MFC.  

	Why write your own 30,000 lines of OLE and ActiveX code,
f'instance, when well-tested stuff comes with the compiler?  And
incidentally, many compilers are sold with MFC classes.  Microsoft
licenses it to other vendors, and it's become quite an industry
standard.

	For casual personal experimentation with Win32, Microsoft's
"fancy schmancy" MFC classes aren't important to know about.  In fact,
the more you know about the underlying Win32 API, the better.  

	However, when I interview a programmer candidate, I'm most
impressed by those who are already familiar with the architecture
they'll need to work with here.  It means I'll need to teach them much
less about their chosen craft to begin with, and they can get to work
and become productive much sooner.

	XWindows?  Right!  Now THERE's something in the process of
taking the world by storm.  <g>
	  
> -----Original Message-----
> From:	Jesse L. Marlin [SMTP:[email-masked]]
> Subject:	Re: Help on programming
> 
> On Tue, 14 Oct 1997, Darren Rauckman wrote:
> 
> This seems to be a trend in Windows programming, in order to learn how
> to
> do it, you have to buy a book.  I haven't heard of an online tutorial,
> or
> FAQ, but there is a newsgroup called
> comp.os.windows.programming.win32, I
> think (its pretty close), but all they talk about are the MFC
> (microsoft
> foudation classes), which are fancy smancy classes that microsoft has
> rolled for use with their compiler.  
	<snip> 
> I would suggest you search for wxWindows.  
> 
> Which is a free OS independent set of classes to aid in gui
> development.
> This implementation offers almost as much as MFC does.
	<snip> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".